curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/charges/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"billing_tag": "<string>",
"billing_idempotency_key": "<string>",
"action_key": "<string>",
"gross_amount": 123,
"platform_fee_bps": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"reservation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"metadata": {},
"capture_context": {
"application_id": 123,
"application_name": "<string>",
"billing_tag": "<string>",
"action_key": "<string>",
"action_label": "<string>",
"reservation_id": "<string>",
"charge_id": "<string>",
"request_id": "<string>",
"billing_idempotency_key": "<string>",
"merchant_business_id": 123,
"developer_business_id": 123,
"oauth_authorized_business_id": 123,
"gross_amount": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"response_status": 123
},
"oauth_application_id": 123,
"oauth_authorized_business_id": 123,
"merchant_business_id": 123,
"developer_business_id": 123
}Requires business auth with business:manage_developer_settings.
curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/charges/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"billing_tag": "<string>",
"billing_idempotency_key": "<string>",
"action_key": "<string>",
"gross_amount": 123,
"platform_fee_bps": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"reservation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"metadata": {},
"capture_context": {
"application_id": 123,
"application_name": "<string>",
"billing_tag": "<string>",
"action_key": "<string>",
"action_label": "<string>",
"reservation_id": "<string>",
"charge_id": "<string>",
"request_id": "<string>",
"billing_idempotency_key": "<string>",
"merchant_business_id": 123,
"developer_business_id": 123,
"oauth_authorized_business_id": 123,
"gross_amount": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"response_status": 123
},
"oauth_application_id": 123,
"oauth_authorized_business_id": 123,
"merchant_business_id": 123,
"developer_business_id": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OAuth billing charge
Safe OAuth app billing capture summary returned on developer-facing billing reservation, billing charge, and developer earnings ledger payloads. Raw request/response bodies, headers, customer message text, and raw webhook payloads are intentionally excluded.
Show child attributes